services:
    _defaults:
        public: true

    prestashop.adapter.profile.command_handler.delete_profile:
        class: 'PrestaShop\PrestaShop\Adapter\Profile\CommandHandler\DeleteProfileHandler'
        arguments:
            - '@=service("prestashop.adapter.legacy.configuration").get("_PS_ADMIN_PROFILE_")'
            - '@prestashop.adapter.data_provider.employee'
        tags:
            - { name: 'tactician.handler', command: 'PrestaShop\PrestaShop\Core\Domain\Profile\Command\DeleteProfileCommand' }

    prestashop.adapter.profile.command_handler.bulk_delete_profile:
        class: 'PrestaShop\PrestaShop\Adapter\Profile\CommandHandler\BulkDeleteProfileHandler'
        arguments:
            - '@=service("prestashop.adapter.legacy.configuration").get("_PS_ADMIN_PROFILE_")'
            - '@prestashop.adapter.data_provider.employee'
        tags:
            - { name: 'tactician.handler', command: 'PrestaShop\PrestaShop\Core\Domain\Profile\Command\BulkDeleteProfileCommand' }

    prestashop.adapter.profile.command_handler.add_profile_handler:
        class: 'PrestaShop\PrestaShop\Adapter\Profile\CommandHandler\AddProfileHandler'
        tags:
            - name: 'tactician.handler'
              command: 'PrestaShop\PrestaShop\Core\Domain\Profile\Command\AddProfileCommand'

    prestashop.adapter.profile.command_handler.edit_profile_handler:
        class: 'PrestaShop\PrestaShop\Adapter\Profile\CommandHandler\EditProfileHandler'
        tags:
            - name: 'tactician.handler'
              command: 'PrestaShop\PrestaShop\Core\Domain\Profile\Command\EditProfileCommand'

    prestashop.adapter.profile.query_handler.get_profile_for_editing_handler:
        class: 'PrestaShop\PrestaShop\Adapter\Profile\QueryHandler\GetProfileForEditingHandler'
        arguments:
          - '@prestashop.core.image.parser.image_tag_source_parser'
          - !php/const _PS_PROFILE_IMG_DIR_
        tags:
          - name: 'tactician.handler'
            command: 'PrestaShop\PrestaShop\Core\Domain\Profile\Query\GetProfileForEditing'
